Export a single visualization to PDF

POST {{baseUrl}}/api/documents/:id/instances/:instanceId/visualizations/:nodeKey/pdf

Export a single visualization from a specific document instance to a PDF file. You obtain the authorization token needed to execute the request using POST /auth/login and the project ID using GET /project; you pass the authorization token and the project ID in the request header. You identify the document, the document instance, and the visualization in the path of the request, by specifying the document ID, the document instance ID, and the key that identifies the visualization; you are using the document/document instance ID that was generated by another API. The body of the request contains formatting information.

Request Params

KeyDatatypeRequiredDescription
fieldsnullComma-separated, top-level field whitelist that allows the client to selectively retrieve part of the response model. If specified, extra filtering is applied, and for top-level object (if root model is an array, each array element), only the listed fields are kept in the response. For example, "id,elements" keeps only the "id" field and whole "elements" array field, omitting all other fields in the top-level response model.

HEADERS

KeyDatatypeRequiredDescription
X-MSTR-AuthTokenstring(Required) Authorization token
X-MSTR-ProjectIDstring(Required) Project ID
Content-Typestring

RESPONSES

status: OK

"The response is too large. Please view the response at https://github.com/MicroStrategy/rest-api-playground/blob/main/sample-responses/Dossiers-and-Documents/export-a-single-visualization-to-pdf/200-OK.json."